com.pivotal.gemfirexd.internal.client.am

## Interface StatementCallbackInterface

All Superinterfaces:
  UnitOfWorkListener

All Known Subinterfaces:
  PreparedStatementCallbackInterface

All Known Implementing Classes:
  CallableStatement, CallableStatement40, PreparedStatement, PreparedStatement40, SingleHopPreparedStatement, Statement, Statement40

    public interface StatementCallbackInterface
    extends UnitOfWorkListener

### Method Summary

Methods
`void` `accumulateWarning(SqlWarning e)`
`void` `completeExecute(Sqlca sqlca)`
`void` `completeExecuteCall(Sqlca sqlca, Cursor params)`
`void` `completeExecuteCall(Sqlca sqlca, Cursor params, ResultSet[] resultSets)`
`void` `completeExecuteCallOpenQuery(Sqlca sqlca, ResultSet resultSet, ColumnMetaData resultSetMetaData, Section generatedSection)`
`void` `completeExecuteImmediate(Sqlca sqlca)`
`void` `completeExecuteSetStatement(Sqlca sqlca)`
`void` `completeOpenQuery(Sqlca sqlca, ResultSet resultSet)`
`void` `completePrepare(Sqlca sqlca)`
`void` `completePrepareDescribeOutput(ColumnMetaData columnMetaData, Sqlca sqlca)`
`int` `completeSqlca(Sqlca sqlca)`
`void` `completeStatementIDRead(String statementUUID)`
`ConnectionCallbackInterface` `getConnectionCallbackInterface()`
`ColumnMetaData` `getGuessedResultSetMetaData()`
`Section` `getSection()`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.UnitOfWorkListener

`completeLocalCommit, completeLocalRollback, listenToUnitOfWork`

### Method Detail

#### completeOpenQuery

    void completeOpenQuery(Sqlca sqlca,
                         ResultSet resultSet)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### completeExecuteCallOpenQuery

    void completeExecuteCallOpenQuery(Sqlca sqlca,
                                    ResultSet resultSet,
                                    ColumnMetaData resultSetMetaData,
                                    Section generatedSection)

#### accumulateWarning

    void accumulateWarning(SqlWarning e)

#### completePrepare

    void completePrepare(Sqlca sqlca)

#### completePrepareDescribeOutput

    void completePrepareDescribeOutput(ColumnMetaData columnMetaData,
                                     Sqlca sqlca)

#### completeExecuteImmediate

    void completeExecuteImmediate(Sqlca sqlca)

#### completeExecuteSetStatement

    void completeExecuteSetStatement(Sqlca sqlca)

#### completeExecute

    void completeExecute(Sqlca sqlca)

#### completeExecuteCall

    void completeExecuteCall(Sqlca sqlca,
                           Cursor params,
                           ResultSet[] resultSets)

#### completeExecuteCall

    void completeExecuteCall(Sqlca sqlca,
                           Cursor params)

#### completeSqlca

    int completeSqlca(Sqlca sqlca)

#### getConnectionCallbackInterface

    ConnectionCallbackInterface getConnectionCallbackInterface()

#### getGuessedResultSetMetaData

    ColumnMetaData getGuessedResultSetMetaData()

#### getSection

    Section getSection()

#### completeStatementIDRead

    void completeStatementIDRead(String statementUUID)